[ARVADOS-DEV] created: 15faa0da2896172f4def7db981035018a28046d2

git at public.curoverse.com git at public.curoverse.com
Mon Oct 5 12:27:11 EDT 2015


        at  15faa0da2896172f4def7db981035018a28046d2 (commit)


commit 15faa0da2896172f4def7db981035018a28046d2
Author: Tom Clegg <tom at curoverse.com>
Date:   Mon Oct 5 12:36:30 2015 -0400

    7451: Avoid running pip after upgrading setuptools.

diff --git a/jenkins/run-tests.sh b/jenkins/run-tests.sh
index 01b471a..633e16b 100755
--- a/jenkins/run-tests.sh
+++ b/jenkins/run-tests.sh
@@ -424,8 +424,8 @@ if [ "0" = "$?" ]; then
 
     . "$VENV3DIR/bin/activate"
 
-    if (pip install setuptools | grep setuptools-0) || [ "$($VENV3DIR/bin/easy_install --version | cut -d\  -f2 | cut -d. -f1)" -lt 18 ]; then
-	pip install --upgrade setuptools pip
+    if [ "$(easy_install --version | cut -d\  -f2 | cut -d. -f1)" -lt 18 ]; then
+	pip install --upgrade setuptools pip || fatal "failed to install latest {setuptools, pip}"
     fi
 
     # Deactivate Python 3 virtualenv

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list